Bug 92229 - [APITRACE] SOMA have serious graphical errors
Summary: [APITRACE] SOMA have serious graphical errors
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r600 (show other bugs)
Version: git
Hardware: All Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL: https://www.frictionalgames.com/forum...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-01 23:55 UTC by Krzysztof A. Sobiecki
Modified: 2015-12-29 18:42 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Wrong rendering on HD4870 (1.58 MB, image/png)
2015-10-03 09:46 UTC, Henri Valta
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Krzysztof A. Sobiecki 2015-10-01 23:55:30 UTC
While trying to play SOMA I saw some serious graphical errors:
An apitrace of it(wait till loading of savefile ends):
https://drive.google.com/file/d/0B3J0Mg89izcbbEE3bVVSMmVmTlU/view?usp=sharing
Game is unplayable with this kind of problems

System:
Radeon 6770
Kernel: 4.2
Mesa: git
Comment 1 Henri Valta 2015-10-03 09:46:36 UTC
Created attachment 118642 [details]
Wrong rendering on HD4870
Comment 2 Henri Valta 2015-10-03 09:46:50 UTC
I have the same issue on Radeon HD 4870 using latest Mesa git and kernel 4.2.1

Apitrace can be found here:
https://drive.google.com/file/d/0B8oWtUclDGoaOFBLaGVVNXBYVFE/view?usp=sharing

I've also added a screenshot showing the problems.
Comment 3 Mihail Kasadjikov 2015-11-13 18:09:42 UTC
I have the same issue on Radeon HD 8670D (AMD A10-6800K APU).

kernel: 4.2.5
OpenGL renderer string: Gallium 0.4 on AMD ARUBA (DRM 2.43.0, LLVM 3.7.0)
OpenGL core profile version string: 3.3 (Core Profile) Mesa 11.1.0-devel (git-006fcc0 2015-10-17 trusty-oibaf-ppa)
Comment 4 Ilia Mirkin 2015-11-13 18:59:42 UTC
FTR, both traces work fine with i965/hsw and nouveau/gk208.
Comment 5 Daniel Scharrer 2015-11-13 22:23:19 UTC
The game and the two traces also work fine with radeonsi.

Relevant thread on the game's forum:
https://www.frictionalgames.com/forum/thread-30682.html
Comment 6 Christoph Brill 2015-11-18 17:40:34 UTC
Replay show the problem on Redwood XT (5670) with mesa 11.0.5 (both 32 and 64 bits).
Comment 7 Alberto Salvia Novella 2015-12-09 15:31:25 UTC
Here's a gameplay showing the error:
<https://youtu.be/9OwNDHuKa5E>
Comment 8 Grazvydas Ignotas 2015-12-22 02:13:54 UTC
This fixes the trace for me:
http://lists.freedesktop.org/archives/mesa-dev/2015-December/103647.html
Does it also fix the game?
Comment 9 Alberto Salvia Novella 2015-12-22 17:45:29 UTC
I can test it myself because I have returned the game (for a while ;)
Comment 10 Henri Valta 2015-12-22 21:41:26 UTC
The game works now great with Grazvydas' patch.

Applied to mesa 11.1.0
Tested on Radeon HD4870

Thank you for the fix!
Comment 11 Nicolai Hähnle 2015-12-29 18:42:12 UTC
Grazvydas' patch is pushed out and should make it into the next releases. Thanks all around :)


bug/show.html.tmpl processed on Mar 25, 2017 at 17:29:07.
(provided by the Example extension).